/**
 * 告警管理接口
 */
import request from '@/utils/request'
// 告警查询
export function getAlarmList(params) {
  return request({
    url: 'alarm/list',
    method: 'get',
    params
  })
}

// 告警类别
export function getAlarmType(params) {
  return request({
    url: 'dict/code/alarmType',
    method: 'get',
    params
  })
}

// 告警内容列表
export function getAlarmContentType(alarmType) {
  return request({
    url: 'alarm/contentType',
    method: 'get',
    params: {
      alarmType: alarmType
    }
  })
}
// 获取某井内监控数据
export function watchDataByAlarm(id) {
  return request({
    url: 'well/watchDataByAlarm',
    method: 'get',
    params: {
      id: id
    }
  })
}

// 批量导出
export function batchExportAlarm(params) {
  return request({
    url: 'alarm/export',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}
// 取消报警
export function cancelAlarm(params) {
  return request({
    url: 'alarm/cancelAlarm',
    method: 'post',
    params
  })
}

// 批量删除告警
export function batchCancel(params) {
  return request({
    url: 'alarm/batchCancel',
    method: 'post',
    params
  })
}

